unit K8047;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    GroupBox1: TGroupBox;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    RadioGroup3: TRadioGroup;
    RadioGroup4: TRadioGroup;
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
    procedure RadioGroup3Click(Sender: TObject);
    procedure RadioGroup4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  DataBuffer: ARRAY[0..7] OF LongInt;

implementation

{$R *.DFM}
PROCEDURE StartDevice; stdcall; external 'K8047d.dll';
PROCEDURE StopDevice; stdcall; external 'K8047d.dll';
PROCEDURE ReadData(Buffer:Pointer); stdcall; external 'K8047d.dll';
PROCEDURE SetGain(Channel: Longint ; Gain: Longint); stdcall; external 'K8047d.dll';
PROCEDURE LEDon; stdcall; external 'K8047d.dll';
PROCEDURE LEDoff; stdcall; external 'K8047d.dll';

procedure TForm1.FormCreate(Sender: TObject);
begin
  StartDevice;    
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  StopDevice;
end;

procedure TForm1.Button1Click(Sender: TObject);
var p:pointer;
i:integer;
s:string;
begin
  p:=@DataBuffer;
  ReadData(p);
  s:='';
  for i:=0 to 5 do s:=s +inttostr(DataBuffer[i])+chr(9);
  memo1.lines.add(s);     
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  SetGain(4,10);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.checked then LEDon else LEDoff;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.itemindex of
    0: SetGain(1,1);
    1: SetGain(1,2);
    2: SetGain(1,5);
    3: SetGain(1,10);
  end;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
  case RadioGroup2.itemindex of
    0: SetGain(2,1);
    1: SetGain(2,2);
    2: SetGain(2,5);
    3: SetGain(2,10);
  end;
end;

procedure TForm1.RadioGroup3Click(Sender: TObject);
begin
  case RadioGroup3.itemindex of
    0: SetGain(3,1);
    1: SetGain(3,2);
    2: SetGain(3,5);
    3: SetGain(3,10);
  end;
end;

procedure TForm1.RadioGroup4Click(Sender: TObject);
begin
  case RadioGroup4.itemindex of
    0: SetGain(4,1);
    1: SetGain(4,2);
    2: SetGain(4,5);
    3: SetGain(4,10);
  end;
end;

end.
